Subject: RE: Issue: XML_LANG_CLARIFY

From: "Jim Whitehead" <[email-masked]>
Date: Wed, 9 May 2001 16:27:27 -0700

Julian, Geoff,

Since it appears there is some agreement on this issue, could one of you
please write up, in specification language, your proposed modification to
the specification to resolve this issue?

- Jim

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Julian Reschke
> Sent: Thursday, April 26, 2001 9:15 AM
> To: WebDAV WG
> Subject: AW: Issue: XML_LANG_CLARIFY
>
>
> > Von: [email-masked]
> > [mailto:[email-masked]]Im Auftrag von Clemm, Geoff
> > Gesendet: Donnerstag, 26. April 2001 17:59
> > An: WebDAV WG
> > Betreff: RE: Issue: XML_LANG_CLARIFY
> >
> >
> >    From: Julian Reschke [mailto:[email-masked]]
> >
> >    1) If you don't validate (and although the RFC shows DTD
> > fragments, they
> >    can't be used for validation), any attribute can appear on
> any element.
> > It's
> >    up the RFC to define what this means.
> >
> > The RFC is equally capable of declaring that an attribute on a
> > paricular element type is syntactically illegal.  Whether or not the
> > XML "DTD validates" is not especially relevant or interesting (we have
> > many syntactic constraints in the protocol that cannot be expressed
> > conveniently in DTD form).
>
> I agree. I think this is what I said as well :-)
>
> >    2) The current RFC current defines that xml:lang is to be
> persisted, no
> >    matter whether it appears on the property element or an ancestor.
> >
> > To be precise, RFC 2518 states:
> >
> >    Language tagging information in the property's value (in the
> >    "xml:lang" attribute, if present) MUST be persistently stored along
> >    with the property, and MUST be subsequently retrievable using
> >    PROPFIND.
> >
> > This statement does not specify whether an xml:lang attribute
> > can appear in the DAV:prop element, or just in the actual property
> > value elements.  In other words, a statement of the form "no
> > attributes can be placed on a DAV:prop element" would not conflict
> > with this language in RFC 2518.
>
> Yes. The current wording isn't very precise because if refer's to the
> property's value without having defined what the property value
> actually is.
> However, I would claim that if intent was to say that xml:lang should be
> persisted only for child elements of the property element, this would have
> been redundant anyway (I thought we agree that attributes of
> child elements
> of the property element need to be persisted anyway, right?).
>
> >    3) Actually, I would prefer to state that *any* attribute
> can appear on
> > the
> >    property element, and that they all should be persisted. It makes the
> > spec
> >    easier and would conform with Canonical XML.
> >
> > Just to make sure we aren't talking past each other, I have very
> > different opinions on what we should allow on the DAV:prop element (I
> > prefer no attributes, but can live with "only xml:lang" or "only
> > attributes in the xml namespace"), and what we allow on the property
> > elements, e.g. DAV:displayname, DAV:getcontentlength, etc. (I prefer
> > all attributes allowed, and must be maintained by the server).
>
> > So when you say "any attribute can appear on a property element", if
> > you are referring to elements like "DAV:displayname", I agree with
> > you, but if you are referring to the DAV:prop element, I disagree.
> > And the spec is free to disallow attributes on DAV:prop but allow
> > attributes on elements like DAV:displayname.
>
> Seems that after all we agree :-)
>
>

---

From: "Julian Reschke" <[email-masked]>
Date: Thu, 10 May 2001 21:01:33 +0200

Hi,

attached is a an attempt to define a way to marshall datatype information
for WebDAV properties in terms of XML Schema (part 2). (the archive contains
an HTML version and an XML version conforming to the RFC2629 DTD).

Feedback appreciated.

Julian